%define ext_guid 'lightning-exchange-provider@gitorious.org'


Name: thunderbird-lightning-exchange-provider
License: GPL
Group: Applications/Internet
Summary: Exchange Calendar provider for Lightning Extension for Thunderbird
Version: 0.11
Release: 1%{?dist}
URL: http://gitorious.org/lightning-exchange-provider/pages/Home
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: provider_for_microsoft_exchange-%{version}-sb+tb.xpi
Source100: mozilla-extension-update.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip
Requires:  thunderbird-lightning

%description
Allows bidirectional access to Exchange Calendar
from Thunderbird Lightning extension.

NOTE: very preliminary and unstable in 0.4 version !

%define update_thunderbird \\\
  %{_libdir}/%{name}/mozilla-extension-update.sh --appname thunderbird \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/%{name} --action
  
%post
%{update_thunderbird} install ||:

%preun
if [ $1 = 0 ]; then
 %{update_thunderbird} remove ||:
fi 

%triggerin -- thunderbird
%{update_thunderbird} install ||:


%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/%{name}/*

%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/%{name} %{SOURCE0}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/%{name}/mozilla-extension-update.sh


%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.4
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
